Bug 65638 - System crashes in 7.3 accessing disk
System crashes in 7.3 accessing disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-29 05:50 EDT by Jeremy Sanders
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2002-05-29 05:50:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc3) Gecko/20020523

Description of problem:
We have a PII (Klamath) 266MHz machine with a PD440FX motherboard. Using RedHat
7.2 (2.4.9-31 kernel) it works fine. Indeed, using my standard build mozilla
lots of times test it is very stable. On upgrading to RedHat 7.3 (2.4.18-4
kernel) it usually crashes in the install (hard disk light stays on, network
stack is pingable, but can't log in), or later when untarring a large file on
the hard disk. This hard disk is a Quantum Fireball ST6.4A.

RedHat 7.2 doesn't switch on DMA automatically, but 7.3 does. Switching on DMA
on 7.2 gives messages like:

May 29 10:26:05 xpc6 kernel: hda: timeout waiting for DMA
May 29 10:26:06 xpc6 kernel: ide_dmaproc: chipset supported ide_dma_timeout func
only: 14
May 29 10:26:06 xpc6 kernel: blk: queue c0352660, I/O limit 4095Mb (mask 0xffffffff)
May 29 10:26:06 xpc6 kernel: hda: status error: status=0x58 { DriveReady
SeekComplete DataRequest }
May 29 10:26:06 xpc6 kernel: hda: drive not ready for command

However the machine doesn't crash. Should 7.3 be disabling the DMA for this
setup. Why does this crash on 7.3 and not on 7.2?



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install redhat 7.3
2. Untar mozilla tarball
3. Crashes
	

Additional info:

7.2 output:

[root@xpc6 ide]# cat /proc/ide/piix 

                                Intel PIIX3 Chipset.
--------------- Primary Channel ---------------- Secondary Channel -------------
                enabled                          enabled
--------------- drive0 --------- drive1 -------- drive0 ---------- drive1
------DMA enabled:    no               no              yes               no 
UDMA enabled:   no               no              no                no 
UDMA enabled:   X                X               X                 X
UDMA
DMA
PIO
Comment 1 Jeremy Sanders 2002-05-30 07:36:30 EDT
More information: we have an identical system (same type of hard disk and
motherboard). The install fails in exactly the same way. This looks like the
kernel doesn't support this motherboard (or disk).
Comment 2 Arjan van de Ven 2002-06-05 06:02:40 EDT
Installing with ide=nodma on the syslinux prompt will work
Now to find out why the kernel decides to enable dma...
Comment 3 Jeremy Sanders 2002-06-05 08:02:27 EDT
Confirmed. Using ide=nodma the system works fine (and installs).
Comment 4 Bugzilla owner 2004-09-30 11:39:38 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.